RHEL 5 / 6 : flash-plugin (RHSA-2016:1079)

This script is Copyright (C) 2016-2017 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing a security update.

Description :

An update for flash-plugin is now available for Red Hat Enterprise
Linux 5 Supplementary and Red Hat Enterprise Linux 6 Supplementary.

Red Hat Product Security has rated this update as having a security
impact of Critical. A Common Vulnerability Scoring System (CVSS) base
score, which gives a detailed severity rating, is available for each
vulnerability from the CVE link(s) in the References section.

The flash-plugin package contains a Mozilla Firefox compatible Adobe
Flash Player web browser plug-in.

This update upgrades Flash Player to version 11.2.202.621.

Security Fix(es) :

* This update fixes multiple vulnerabilities in Adobe Flash Player.
These vulnerabilities, detailed in the Adobe Security Bulletin listed
in the References section, could allow an attacker to create a
specially crafted SWF file that would cause flash-plugin to crash,
execute arbitrary code, or disclose sensitive information when the
victim loaded a page containing the malicious SWF content.
(CVE-2016-1096, CVE-2016-1097, CVE-2016-1098, CVE-2016-1099,
CVE-2016-1100, CVE-2016-1101, CVE-2016-1102, CVE-2016-1103,
CVE-2016-1104, CVE-2016-1105, CVE-2016-1106, CVE-2016-1107,
CVE-2016-1108, CVE-2016-1109, CVE-2016-1110, CVE-2016-4108,
CVE-2016-4109, CVE-2016-4110, CVE-2016-4111, CVE-2016-4112,
CVE-2016-4113, CVE-2016-4114, CVE-2016-4115, CVE-2016-4116,
CVE-2016-4117)

See also :

https://www.redhat.com/security/data/cve/CVE-2016-1096.html
https://www.redhat.com/security/data/cve/CVE-2016-1097.html
https://www.redhat.com/security/data/cve/CVE-2016-1098.html
https://www.redhat.com/security/data/cve/CVE-2016-1099.html
https://www.redhat.com/security/data/cve/CVE-2016-1100.html
https://www.redhat.com/security/data/cve/CVE-2016-1101.html
https://www.redhat.com/security/data/cve/CVE-2016-1102.html
https://www.redhat.com/security/data/cve/CVE-2016-1103.html
https://www.redhat.com/security/data/cve/CVE-2016-1104.html
https://www.redhat.com/security/data/cve/CVE-2016-1105.html
https://www.redhat.com/security/data/cve/CVE-2016-1106.html
https://www.redhat.com/security/data/cve/CVE-2016-1107.html
https://www.redhat.com/security/data/cve/CVE-2016-1108.html
https://www.redhat.com/security/data/cve/CVE-2016-1109.html
https://www.redhat.com/security/data/cve/CVE-2016-1110.html
https://www.redhat.com/security/data/cve/CVE-2016-4108.html
https://www.redhat.com/security/data/cve/CVE-2016-4109.html
https://www.redhat.com/security/data/cve/CVE-2016-4110.html
https://www.redhat.com/security/data/cve/CVE-2016-4111.html
https://www.redhat.com/security/data/cve/CVE-2016-4112.html
https://www.redhat.com/security/data/cve/CVE-2016-4113.html
https://www.redhat.com/security/data/cve/CVE-2016-4114.html
https://www.redhat.com/security/data/cve/CVE-2016-4115.html
https://www.redhat.com/security/data/cve/CVE-2016-4116.html
https://www.redhat.com/security/data/cve/CVE-2016-4117.html
https://www.redhat.com/security/data/cve/CVE-2016-4120.html
https://www.redhat.com/security/data/cve/CVE-2016-4121.html
https://www.redhat.com/security/data/cve/CVE-2016-4160.html
https://www.redhat.com/security/data/cve/CVE-2016-4161.html
https://www.redhat.com/security/data/cve/CVE-2016-4162.html
https://www.redhat.com/security/data/cve/CVE-2016-4163.html
https://helpx.adobe.com/security/products/flash-player/apsb16-15.html
https://helpx.adobe.com/security/products/flash-player/apsa16-02.html
http://rhn.redhat.com/errata/RHSA-2016-1079.html

Solution :

Update the affected flash-plugin package.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.7
(CVSS2#E:H/RL:OF/RC:ND)
Public Exploit Available : true